function model = check_1d1g1sr_model( model )
  
%  function model = check_1d1g1sr_model( model )
%
% ( 1 ) check that all parameters are present.
% ( 2 ) Fill in the implicit ones (b1, w0g).
%
% SEE ALSO compute_post_1d1g1sr, generate_1d1g1sr, fit_1d1g1sr.
  
  
  if nargin < 1
    error( [ mfilename ' needs 1 input argument.' ] );
  end
    
  % 1d2r model: Make sure all parameters are defined
  
  check_param( { 'b0', 'w0d', 'gamma0', 'beta0', 'sigma1', 'V1' }, fieldnames( model ) );
    
  if model.gamma0 <= 1
    error( [ mfilename ': model.gamma0 must be > 1.' ] );
  end
  
  if model.beta0 <= 0
    error( [ mfilename ': model.beta0 must be > 0.' ] );
  end
  
  if model.sigma1 <= 0
    error( [ mfilename ': model.sigma1 must be > 0.' ] );
  end
  
  model.b1   = 1 - model.b0;
  model.w0g  = 1 - model.w0d;
  