function example_cluster_level_sns( classify_filename, i_fig )

  if nargin < 2
    i_fig = 0;
  end

  % Load the multisource detection-localization result

  load( classify_filename, 'result' );
  disp( [ mfilename ' loaded ' classify_filename ] );

  t = result.list.framelength_sec / 2 + result.list.frameshift_sec * ( result.list.sphloc_mat( 1,: ) - 1 );
  az = result.list.sphloc_mat( 3,: );
  tag = result.list.sphloc_mat( 7,: );

  % Let's try to make the plots not too ugly
  % (azimuth space is circular).
  % - select an appropriate window.
  mean_az = angle( mean( exp( j * az ) ) );
  az = mean_az + pi + mod( az - mean_az - pi, 2 * pi );
  % - move to degrees.
  az = az / pi * 180;

  figure(i_fig + 6);clf
  plot_multi_cluster( t, az, tag );
  xlabel( 't (seconds)' ); ylabel( 'az' ); title( 'after CLUSTER-LEVEL speech/non-speech classification' );


