function y = my_ricepdf( x, sigma, V )
  
% function y = my_ricepdf( x, sigma, V )
  
  if nargin < 2
    error( [ mfilename ' needs at least 2 input arguments.' ] );
  end
  
  if ~exist( 'V', 'var' )
    V = 0;
  end
  
  y = zeros( size( x ) );
  
  ind_nonneg = find( x > 0 );
  
  if ~isempty( ind_nonneg )
  
    if all( V(:) == 0 )
      
      % This is a rayleigh, let's save time
      sigma2 = sigma .^ 2;
      y( ind_nonneg ) = x( ind_nonneg ) ./ sigma2 .* exp( - 0.5 * ( x( ind_nonneg ).^2 ) ./ sigma2 );
    
    else
      
      % Full Rice!
      V      = abs( V );
      sigma2 = sigma .^ 2;
      y( ind_nonneg ) = x( ind_nonneg ) ./ sigma2 .* exp( - 0.5 * ( V.^2 + x( ind_nonneg ).^2 ) ./ sigma2 ) .* besseli( 0, x( ind_nonneg ) .* V ./ sigma2 );
      
    end
    
  end
  
  